Index: win/win.h
===================================================================
--- win/win.h	(Revision 22434)
+++ win/win.h	(Arbeitskopie)
@@ -82,6 +82,8 @@
 #define strdup        _strdup
 #define vsnprintf     _vsnprintf
 #define strcasecmp    _stricmp
+#define isatty        _isatty
+#define fileno        _fileno
 
 /*
  * More replacement definitions...
Index: win/makefile
===================================================================
--- win/makefile	(Revision 22434)
+++ win/makefile	(Arbeitskopie)
@@ -180,6 +180,7 @@
 	$(RM) *.mdp
 	$(RM) *.dll
 	$(RM) *.exp
+	$(RM) *.manifest
 
 install:	all install-doc install-bin install-lib install-mibs install-pibs
 
@@ -191,16 +192,27 @@
 	-$(MKDIR) $(INSTROOT)\doc
 	$(CP) ..\doc\*.txt $(INSTROOT)\doc
 	-$(CP) ..\doc\*.ps $(INSTROOT)\doc
+	-$(MKDIR) $(INSTROOT)\etc\smi
+	$(CP) ..\smi.conf-example $(INSTROOT)\etc\smi
 
 install-bin:
 	-$(MKDIR) $(BINDIR)
 	$(CP) *.exe $(BINDIR)
+!IF "$(MSVC_VARIANT)" == "MSVC2005" || "$(MSVC_VARIANT)" == "MSVC2005EE" || "$(MSVC_VARIANT)" == "DOTNET20"
+	$(CP) *.manifest $(BINDIR)
+!ENDIF
+!IFDEF ENABLE_LIBSMI_DLL
+	$(CP) *.dll $(BINDIR)
+!ENDIF
 
 install-lib:
 	-$(MKDIR) $(INCDIR)
 	$(CP) ..\lib\smi.h $(INCDIR)
 	-$(MKDIR) $(LIBDIR)
 	$(CP) *.lib $(LIBDIR)
+!IFDEF ENABLE_LIBSMI_DLL
+	$(CP) *.dll $(LIBDIR)
+!ENDIF
 
 install-mibs:
 	-$(MKDIR) $(MIBDIR)
Index: tools/Makefile.am
===================================================================
--- tools/Makefile.am	(Revision 22434)
+++ tools/Makefile.am	(Arbeitskopie)
@@ -11,7 +11,7 @@
 # @(#) $Id$
 #
 
-INCLUDES		= -I../lib
+INCLUDES		= -I$(top_srcdir)/lib
 
 EXTRA_DIST		= smidump.h shhopt.h \
 			  $(man_MANS) \
@@ -27,13 +27,13 @@
 			  smistrip.1 smicache.1 smixlate.1
 
 smiquery_SOURCES	= smiquery.c shhopt.c
-smiquery_LDADD		= ../lib/libsmi.la
+smiquery_LDADD		= $(top_builddir)/lib/libsmi.la
 
 smilint_SOURCES		= smilint.c shhopt.c
-smilint_LDADD		= ../lib/libsmi.la
+smilint_LDADD		= $(top_builddir)/lib/libsmi.la
 
 smixlate_SOURCES	= smixlate.c shhopt.c dstring.h dstring.c
-smixlate_LDADD		= ../lib/libsmi.la
+smixlate_LDADD		= $(top_builddir)/lib/libsmi.la
 
 dump-svg-script.h: dump-svg-script.js
 	(echo "const char *code =";cat dump-svg-script.js | sed -e 's/\\/&&/g;s/"/\\"/g;s/^/"/;s/$$/\\n"/'; echo ";") > dump-svg-script.h
@@ -52,9 +52,7 @@
 			  dstring.h dstring.c \
 			  fortopat.h fortopat.c fprint.h fprint.c
 
-smidump_LDADD		= ../lib/libsmi.la -lm
+smidump_LDADD		= $(top_builddir)/lib/libsmi.la -lm
 
 smidiff_SOURCES		= smidiff.c shhopt.c
-smidiff_LDADD		= ../lib/libsmi.la
-
-# MOSTLYCLEANFILES	= dump-svg-script.h
+smidiff_LDADD		= $(top_builddir)/lib/libsmi.la
Index: lib/util.c
===================================================================
--- lib/util.c	(Revision 22434)
+++ lib/util.c	(Arbeitskopie)
@@ -29,6 +29,9 @@
 #ifdef HAVE_DMALLOC_H
 #include <dmalloc.h>
 #endif
+#ifdef HAVE_WIN_H
+#include "win.h"
+#endif
 
 
 
